Skip to Content
LandedFXDocs
API referenceCurrencies

Ads usable at a size

GET
/api/v1/currencies/{code}/ads

Every ad considered for one side at your order size, with why each was accepted or excluded, including the AI screen of its terms.

Path Parameters

code*string

Query Parameters

side*string

ask: you buy USDT. bid: you sell USDT.

Value in"ask""bid"
amount*string

Order size in the local currency

rail?string

Payment rail filter

Value in"mpesa""pix""upi""mobile_money""wallet""cash""card""balance""bank""other"

Response Body

application/json
  1. response
code*number

HTTP status code

message*string

Human-readable message

data?never
metadata?
errors?array<string>

Validation errors, when the request was rejected

Example Request
curl -X GET 'https://api.landedfx.com/api/v1/currencies/KES/ads?side=ask&amount=150000'
Example Response200
{  "message": "string",  "metadata": {    "page": 1,    "limit": 20,    "totalDocs": 42,    "prevPage": null,    "nextPage": 2,    "totalPages": 3  },  "errors": [    "string"  ],  "code": 200,  "data": [    {      "venue": "bybit",      "id": "string",      "side": "ask",      "price": 0,      "minFiat": 0,      "maxFiat": 0,      "availableUsdt": 0,      "merchant": "string",      "completionPct": 0,      "orders": 0,      "methods": [        "string"      ],      "rails": [        "string"      ],      "eligible": true,      "reasons": [        "string"      ],      "screen": {        "redFlag": 0,        "restrictive": 0      }    }  ]}